<template>
    <reviewBlock
        :customHeaderText="headerText"
        :content="displayContent" />
</template>

<script>
import reviewBlock from '@/layouts/payment-method/review-dropdown/review-block/review-block.vue';

export default {
    name: 'schedule-review',
    components: {
        reviewBlock
    },
    props: {
        cmsWidgetName: String,
        appointmentType: String
    },
    data() {
        return {};
    },
    computed: {
        displayContent() {
            return [
                this.getCmsContent(this.cmsWidgetName, 'BodyText'),
                this.getCmsContent(this.cmsWidgetName, 'BodyText2')
            ];
        },
        headerText() {
            return this.getCmsContent(this.cmsWidgetName, 'HeaderText');
        }
    }
};
</script>
